t/html; charset=UTF-8
Last-Modified: Wed, 15 Jan 2025 05:12:32 GMT
Expires: Sat, 13 Jan 2035 05:12:32 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>torxchat.git - Unnamed repository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/src/common/hexchat.c?h=fe-web' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='806a0da2584659a69c35112c86a5700a855be665'/><select name='h' onchange='this.form.submit();'>
<option value='50f488236f6108bf748948c620aaf38814334a8a'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web' selected='selected'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=fe-web'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>refs</a> <a class='active' href='/git-repos/torxchat.git/log/src/common/hexchat.c?h=fe-web'>log</a> <a href='/git-repos/torxchat.git/tree/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>tree</a> <a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>commit</a> <a href='/git-repos/torxchat.git/diff/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>diff</a> <a href='/git-repos/torxchat.git/stats/src/common/hexchat.c?h=fe-web'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/src/common/hexchat.c'>
<input type='hidden' name='h' value='fe-web'/><input type='hidden' name='id' value='806a0da2584659a69c35112c86a5700a855be665'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/log/?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>root</a>/<a href='/git-repos/torxchat.git/log/src?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>src</a>/<a href='/git-repos/torxchat.git/log/src/common?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>common</a>/<a href='/git-repos/torxchat.git/log/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>hexchat.c</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/git-repos/torxchat.git/log/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2017-06-22 13:19:43 -0400'>2017-06-22</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665'>Fix skipping autoconnect when passed 1 URL</a></td><td>Patrick Griffis</td></tr>
<tr><td><span title='2016-11-30 00:52:48 -0500'>2016-11-30</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=3118df20422cb73444ed251197b2724252de8766'>Fix timers being incorrectly removed</a></td><td>Patrick Griffis</td></tr>
<tr><td><span title='2016-11-11 19:27:57 -0500'>2016-11-11</span></td><td><a href='/git-repos/torxc<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>prefix=@prefix@
exec_prefix=${prefix}
includedir=@includedir@
hexchatlibdir=@hexchatlibdir@

Name: HexChat plugins
Description: Header and path for HexChat plugins
Version: @VERSION@
Cflags: -I${includedir}
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-15 05:12:32 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
ntext</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-06-21 22:21:12 -0400'>2014-06-21</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=45526205abb7ddbf3d21d19b51353d113027118f'>Remove broken debug code</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-06-04 10:38:23 -0400'>2014-06-04</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=5849a0588e7b12003f8b9afcfcdc31f46c6b2329'>Use glib to parse and launch commands for util_exec</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-04-02 16:14:45 -0700'>2014-04-02</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=0f828dd74f9ea81fe70c8a101a7aa7c40737437a'>Add marker-line functionality for scrollback, instant seek.</a></td><td>RichardHitt</td></tr>
<tr><td><span title='2014-01-27 19:57:41 +0000'>2014-01-27</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=1d6d737927d4e99333a8e6ae26b44ca959fc1cd9'>Fixed lag meter getting stuck.</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2014-01-26 06:55:38 -0500'>2014-01-26</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=35e84f6edc059909e8168a6929dcb21ffbe6930a'>Show error when you lack write permissions to configdir</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-01-20 16:42:33 -0500'>2014-01-20</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=92a3a34785c5a94b6ec440818479c7b783dbc6d9'>Actually call commands sent with --command</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-01-03 03:39:35 -0500'>2014-01-03</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=1e1ef1c6cf904e8d259ee2502f53cb87c3e30bd5'>Change url-handler example to firefox -new-window</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-12-23 16:44:40 -0500'>2013-12-23</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=d7e3e4c9a42e1cda4863310b20c5884cd3354826'>Only return channel sessions from find_channel()</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-07-01 13:43:58 -0400'>2013-07-01</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=aab55d8cffc577a7aec4f43d5157c7e3f498c0f5'>Handle extraneous cli args as urls</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-06-08 02:34:01 +0100'>2013-06-08</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=473ab1673921efa011920e7979cc7e9b7a08f304'>Now the default configuration tries to set the language from the system</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2013-06-06 17:47:01 -0400'>2013-06-06</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=cf505b850bb02e7b691fbd5f48618d66fe55bc0a'>Add chanopt for stripping colors</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-06-04 06:07:51 -0300'>2013-06-04</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=df0e97550b2a8219815a9f10e3cda8d38a754f7f'>fix loading startup.txt automatically</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-05-24 15:01:27 -0700'>2013-05-24</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=270cde42f1f801060b4f733d7f70ab37413024d4'>Merge pull request #590 from orium/run-as-root-589-504</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-05-17 06:17:16 -0300'>2013-05-17</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=1181b5621132876b3e2f635e888365fe775154df'>Add omsg user command</a></td><td>TingPing</td></tr>
<tr><td><span title='2013-05-13 01:58:08 +0100'>2013-05-13</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=d9d05e83ba9975959607302c45a631ee80a2d21e'>Restructured a fair bit of cfgfiles.c. Besides making the code cleaner this a...</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2013-05-12 23:33:44 +0100'>2013-05-12</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=61ed0829bd57fc60cc7e08538f20b8277c74f90c'>Forget to put an empty line after a function definition</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2013-05-12 23:15:23 +0100'>2013-05-12</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=7238853f0fd01e6b16fb6872852c2fc10887eef0'>Factored locale related code in main() to a new function.</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2013-05-12 16:37:38 +0100'>2013-05-12</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=6a8cad6f9431a629129d74cd3c549d279d1dea5d'>Now hexchat doesn't abnormally terminal when started as root.</a></td><td>Diogo Sousa</td></tr>
<tr><td><span title='2013-05-09 21:11:58 +0000'>2013-05-09</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=66853d9715431bb0ee7f595a79ccb03f98f141f3'>Add option to support away tracking regardless of channel size</a></td><td>Heiki Ojasild</td></tr>
<tr><td><span title='2013-05-04 18:21:48 +0200'>2013-05-04</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=fb01d4e9ab9739e11499538d85e8932fb97a2c57'>Replace g_strdup_printf with g_build_filename where possible</a></td><td>Berke Viktor</td></tr>
<tr><td><span title='2013-04-27 21:38:13 +0200'>2013-04-27</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=8e3db00daccbad5c0c87c6f6d118a9db44238ab3'>Don't include if unused</a></td><td>Berke Viktor</td></tr>
<tr><td><span title='2013-04-27 21:35:19 +0200'>2013-04-27</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=d20dccbe025c21a4dad10bfb71f192925543b7c3'>Some crucial cosmetics</a></td><td>Berke Viktor</td></tr>
<tr><td><span title='2013-04-27 21:31:54 +0200'>2013-04-27</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=e834783cb800d7b6a0af505f904daf00c979a0f3'>Fix compiler warning</a></td><td>Berke Viktor</td></tr>
<tr><td><span title='2013-04-24 14:33:05 -0700'>2013-04-24</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=4ad9a69aebf43ba4bbb1589499ff708a075ce366'>Early on, call g_type_init() unless deprecated</a></td><td>RichardHitt</td></tr>
<tr><td><span title='2013-04-17 22:45:08 -0300'>2013-04-17</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/hexchat.c?h=fe-web&amp;id=a14bd119b787487bf2fbbaa0334dae42f3eedab3'>typo</a></td><td>TingPing</td></tr>
</table><ul class='pager'><li><a href='/git-repos/torxchat.git/log/src/common/hexchat.c?h=fe-web&amp;id=806a0da2584659a69c35112c86a5700a855be665&amp;ofs=50'>[next]</a></li></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-15 05:12:32 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
